For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETGet Company Sales Reps
              • PUTUpdate Company Sales reps
              • GETGet Companies & Sales reps
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APISales Rep

Update Company Sales reps

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/sales-reps
PUT
/api/v2/io/companies/:companyId/sales-reps
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/sales-reps \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "companyId": "2"
5 },
6 "message": "Success"
7}
Update company reps
Was this page helpful?
Previous

Get Company Sales Reps

Next

Get Companies & Sales reps

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
salesRepslist of objectsOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error